package com.wechat.service;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.wechat.dao.MdeUserCvDao;
import com.wechat.model.dbEntity.MdeUserCv;
import com.wechat.model.dto.UserCvInfo;

@Service
public class MdeUserCvService {

	@Resource
	MdeUserCvDao userCVDao;

	public List<MdeUserCv> getUserCVList(String userCode) {
		return userCVDao.getUserCVList(userCode);
	}

	public int deleteUserCv(Long cvId,String userCode) {
		return userCVDao.deleteUserCv(cvId,userCode);
	}

	public int insert(MdeUserCv userCv) {
		return userCVDao.insert(userCv);
	}
	
	public MdeUserCv getUserCVById(Long cvId,String userCode) {
		return userCVDao.getInfoById(cvId,userCode);
	}
	
	//查询该简历是否被投递
	public List<UserCvInfo> getCvUsed(Long cvId,String userCode) {
		return userCVDao.getCvUsed(cvId,userCode);
	}
	
}
